searchData={"content_type":"text/markdown","items":[{"doc":"Runs Semantic Release.\n\nAutomatically installs Semantic Release and other dependencies by running `Mix.Tasks.SemanticRelease.Install`.\n\n> #","ref":"Mix.Tasks.SemanticRelease.html","title":"mix semantic_release","type":"task"},{"doc":">\n> This is a pre-release version. As such, anything _may_ change at any time, the public\n> API _should not_ be considered stable, and using a pinned version is _recommended_.\n\nUsage:\n\n    $ mix semantic_release\n    $ mix semantic_release CLI_ARGS\n\nRefer to the [Semantic Release documentation][1] for available CLI arguments.\n\n\n[1]: https://semantic-release.gitbook.io/semantic-release/usage/configuration#options","ref":"Mix.Tasks.SemanticRelease.html#module-warning-warning","title":"Warning {: .warning} - mix semantic_release","type":"task"},{"doc":"Installs Semantic Release and other dependencies.\n\n> #","ref":"Mix.Tasks.SemanticRelease.Install.html","title":"mix semantic_release.install","type":"task"},{"doc":">\n> This is a pre-release version. As such, anything _may_ change at any time, the public\n> API _should not_ be considered stable, and using a pinned version is _recommended_.\n\nUsage:\n\n    $ mix semantic_release.install","ref":"Mix.Tasks.SemanticRelease.Install.html#module-warning-warning","title":"Warning {: .warning} - mix semantic_release.install","type":"task"},{"doc":"# Semantic Release for Elixir\n\nMix tasks for installing and running [`semantic-release`](https://github.com/semantic-release/semantic-release/) (and the adapter plugin [`semantic-release-hex`](https://github.com/talent-ideal/semantic-release-hex/)) in Elixir projects.\n\n> **⚠️ WARNING**\n>\n> This is a pre-release version. As such, anything _may_ change\n> at any time, the public API _should not_ be considered stable,\n> and using a pinned version is _recommended_.\n\n> **Disclaimer**: Because `semantic-release` is written in JavaScript, this package will install Node.js in your `_build/` folder upon running.\n>\n> See the [`nodelix` documentation](https://hexdocs.pm/nodelix/) for more information on how Node.js is installed.\n\nFull documentation can be found at [https://hexdocs.pm/semantic_release](https://hexdocs.pm/semantic_release).","ref":"readme.html","title":"Semantic Release for Elixir","type":"extras"},{"doc":"`gpg` must be available in your PATH to verify the signature of Node.js releases.\n\nThe package can be installed by adding `semantic_release` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:semantic_release, \"1.0.0-alpha.4\", only: :dev, runtime: false}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - Semantic Release for Elixir","type":"extras"},{"doc":"You can list additional npm packages to be passed to the `npm install` command:\n\n```elixir\nconfig :semantic_release,\n  additional_packages: [\n    \"@semantic-release/changelog\",\n    \"@semantic-release/git\",\n  ]\n```\n\nThis can also be used to override automatically installed package versions:\n\n```elixir\nconfig :semantic_release,\n  additional_packages: [\n    \"semantic-release-hex@next\",\n    \"@semantic-release/changelog\",\n    \"@semantic-release/git\",\n  ]\n```","ref":"readme.html#configuration","title":"Configuration - Semantic Release for Elixir","type":"extras"},{"doc":"This project follows the principles of [Semantic Versioning (SemVer)](https://semver.org/).","ref":"readme.html#versioning","title":"Versioning - Semantic Release for Elixir","type":"extras"},{"doc":"# Changelog\n\n## [1.0.0-alpha.4](https://github.com/talent-ideal/semantic_release/compare/v1.0.0-alpha.3...v1.0.0-alpha.4) (2024-03-25)\n\n\n#","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"* update npm during installation ([db9db53](https://github.com/talent-ideal/semantic_release/commit/db9db53cc3e6a22cb4a899214c4540ed25fb5888)), closes [#2](https://github.com/talent-ideal/semantic_release/issues/2)\n\n## [1.0.0-alpha.3](https://github.com/talent-ideal/semantic_release/compare/v1.0.0-alpha.2...v1.0.0-alpha.3) (2023-12-10)\n\n\n#","ref":"changelog.html#bug-fixes","title":"🐛 Bug Fixes - Changelog","type":"extras"},{"doc":"* force node.js installation on CI ([6fc201d](https://github.com/talent-ideal/semantic_release/commit/6fc201d0587b833111b59ffffbd5f952d368c845))\n\n## [1.0.0-alpha.2](https://github.com/talent-ideal/semantic_release/compare/v1.0.0-alpha.1...v1.0.0-alpha.2) (2023-12-01)\n\n\n#","ref":"changelog.html#bug-fixes","title":"🐛 Bug Fixes - Changelog","type":"extras"},{"doc":"* set nodelix as a production dependency ([49bcd09](https://github.com/talent-ideal/semantic_release/commit/49bcd095bdeb7cff93a0d3f3090eb2bb79f50231))\n\n\n#","ref":"changelog.html#bug-fixes","title":"🐛 Bug Fixes - Changelog","type":"extras"},{"doc":"* **deps:** update dependency nodelix to v1.0.0-alpha.9 ([5062102](https://github.com/talent-ideal/semantic_release/commit/5062102d8c5e22a3aef115bec86c09960a26636a))","ref":"changelog.html#builds","title":"🛠 Builds - Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#1-0-0-alpha-1-2023-11-30","title":"1.0.0-alpha.1 (2023-11-30) - Changelog","type":"extras"},{"doc":"* add additional packages configuration ([ac56412](https://github.com/talent-ideal/semantic_release/commit/ac56412e30720d745a45336038b2215ee928c716))\n* install and run semantic-release ([755f0d4](https://github.com/talent-ideal/semantic_release/commit/755f0d490f1218ace6d6c25233a21bd830e03bcb))\n\n\n#","ref":"changelog.html#features","title":"✨ Features - Changelog","type":"extras"},{"doc":"* use self for calling semantic-release ([d50c317](https://github.com/talent-ideal/semantic_release/commit/d50c3175a73b17c070631a8ab4515d63a9334808))\n\n\n#","ref":"changelog.html#continuous-integrations","title":"⚙️ Continuous Integrations - Changelog","type":"extras"},{"doc":"* first commit ([c098b8c](https://github.com/talent-ideal/semantic_release/commit/c098b8c3befec75b7a960899e1a19d43f543ba74))","ref":"changelog.html#chores","title":"♻️ Chores - Changelog","type":"extras"},{"doc":"# License\n\nCopyright (c) 2023 Talent Ideal\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"}]}